This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 529253 - Review Request: dmenu - Generic menu for X
Review Request: dmenu - Generic menu for X
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Osowski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-15 15:19 EDT by Simon
Modified: 2014-04-25 08:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 15:40:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
th0br0: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-10-15 15:19:06 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/dmenu/dmenu.spec

SRPM URL:
http://cassmodiah.fedorapeople.org/dmenu/dmenu-4.0-0.1.fc11.src.rpm

Description:
dynamic menu is a generic menu for X, originally designed for dwm. It manages 
huge amounts (up to 10.000 and more) of user defined menu items efficiently.
Comment 1 Jason Tibbitts 2009-10-15 18:21:14 EDT
Perhaps you could help with the existing review ticket for this package.

*** This bug has been marked as a duplicate of bug 485638 ***
Comment 3 Andreas Osowski 2009-12-22 06:57:47 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format 
%{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: 
       [x] F12/i686 
 [x] Rpmlint output:
     Source RPM:
	1 packages and 0 specfiles checked; 0 errors, 0 warnings. 
     Binary RPM(s):
 	1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined   in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file,     containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided 
     in the spec URL.
     SHA1SUM of package: 6fb1ff6e414d5ef33d2f627b0ec563eaac19fbd8
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that 
     are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI 
     application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains 
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F12/i686
 [-] Package should compile and build into binary rpms on all supported 
     architectures.
     Tested on: -
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.  

Remaining issues:
NONE.


**********************
****** APPROVED ******
**********************

             *
            /.\
           /..'\
           /'.'\
          /.''.'\
          /.'.'.\
   "'""""/'.''.'.\""'"'"
     jgs ^^^[_]^^^
 
:)
Comment 4 Simon 2009-12-22 07:18:49 EST
nice ascii
thx for your review

New Package CVS Request
=======================
Package Name:  dmenu
Short Description: Generic menu for X
Owners: cassmodiah
Branches: F-12
InitialCC:
Comment 5 Dennis Gilmore 2009-12-23 14:46:49 EST
CVS Done
Comment 6 Fedora Update System 2009-12-23 15:25:34 EST
dmenu-4.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dmenu-4.0-2.fc12
Comment 7 Fedora Update System 2009-12-24 15:40:18 EST
dmenu-4.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Simon 2010-06-23 08:10:53 EDT
Package Change Request
======================
Package Name: dmenu
New Branches: EL-6
Owners: cassmodiah
Comment 9 Jason Tibbitts 2010-06-26 17:22:27 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Christopher Meng 2014-04-24 21:43:37 EDT
Package Change Request
======================
Package Name: dmenu
New Branches: epel7
Owners: cicku
Comment 11 Jon Ciesla 2014-04-25 08:21:51 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.